# excludeAlertInput

Input for excluding an alert.

### Examples

```graphql
input ExcludeAlertInput {
  oxIssueId: String!
  rule: ExclusionRuleInput
  comment: String
  exclusionMode: ExclusionMode
  expiredAt: DateTime
}
```

### Fields

| Field                                                                                                              | Description                                                                 | Supported fields                                                                                                                                                                                           |
| ------------------------------------------------------------------------------------------------------------------ | --------------------------------------------------------------------------- | ---------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------- |
| oxIssueId `String!`                                                                                                | Ox-specific issue identifier                                                |                                                                                                                                                                                                            |
| rule [`ExclusionRuleInput`](/api-documentation/api-reference/api--exclusions/types/inputs/exclusion-rule-input.md) | Rule configuration for the exclusion                                        | <p>oxRuleId <a href="/pages/RPSN3Tbu6SwZoxpla2D6"><code>OxExclusionId</code></a><br>aggIds <code>\[String!]</code><br>cvesAndLibs <a href="/pages/M8JmfGjzjOglMLTZW8qz"><code>\[CveAndLib!]</code></a></p> |
| comment `String`                                                                                                   | Comment explaining the exclusion                                            |                                                                                                                                                                                                            |
| exclusionMode [`ExclusionMode`](/api-documentation/api-reference/api--exclusions/types/enums/exclusion-mode.md)    | Mode of operation for the exclusion, if not provided full scan mode applies |                                                                                                                                                                                                            |
| expiredAt `DateTime`                                                                                               | Date when the exclusion expires                                             |                                                                                                                                                                                                            |

### References

#### Mutations using this object:

* [<\~> excludeAlert.input](/api-documentation/api-reference/api--exclusions/mutations/exclude-alert.md)

#### Fields with this object:

* [{} ReportFalsePositiveInput.reportedAlertInput](/api-documentation/api-reference/api--exclusions/types/inputs/report-false-positive-input.md)


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.ox.security/api-documentation/api-reference/api--exclusions/types/inputs/exclude-alert-input.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
